import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';
import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T32E extends Component {

    name = '32E'
    desp = "Currency"

    pattern = "3!a"
    tno = -1

    onChange = (val) => {
        this.props.onValue([{ s1: val }, val])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}
        return (<Row>
            <Col style={{ "minWidth": '100px' }} span={3}>
                <FormItem
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Select
                        placeholder="Currency"
                        showSearch
                        allowClear={true}
                        optionFilterProp="children"
                        notFoundContent="Wrong Code"
                        style={{ width: "100%" }} value={value.s1} onChange={val => this.onChange(val)} >
                        {
                            Currency.map(cur => <Option key={cur} value={cur}>{cur}</Option>)
                        }
                    </Select>
                </FormItem>
            </Col>
        </Row>)

    }
}